Bug 740255 - New Flag: qe_test_coverage
Summary: New Flag: qe_test_coverage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Bugzilla General
Version: 3.6
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: ---
Assignee: Simon Green
QA Contact: Chris Ward
URL:
Whiteboard:
Depends On:
Blocks: 740258 740260 740262 741608
TreeView+ depends on / blocked
 
Reported: 2011-09-21 13:14 UTC by Chris Ward
Modified: 2014-10-12 22:47 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-09-22 13:46:03 UTC


Attachments (Terms of Use)

Description Chris Ward 2011-09-21 13:14:23 UTC
Description of problem:

Please add a new flag (?,-,+) called

qe_test_coverage

Only members of QE group should have access to setting it



This request has been approved on behalf of Platform QE, Middleware QE and Cloud QE.

Comment 1 Simon Green 2011-09-21 13:35:32 UTC
(In reply to comment #0)
> Only members of QE group should have access to setting it

Who should be able to view this? All users? All redhat users? or just QE group users?

Who should be able to request this (i.e. set it to '?')? All users? All redhat users? or just QE group users?

Comment 2 Chris Ward 2011-09-21 13:46:26 UTC
At this time, only QE should be able to view/set it. 

We might later need bug bot to be able to set it too... but we can deal with that later, if necessary.

Comment 3 Simon Green 2011-09-22 10:53:45 UTC
Two more things.

1) Should this flag be visible on bugs in all products, or just some products?

2) I also need "a comprehensive description of this type"

Comment 4 Chris Ward 2011-09-22 11:33:52 UTC
1) all products

Do you have any examples of 2) that i can look at as a reference for writing the description?

Comment 5 Simon Green 2011-09-22 11:36:07 UTC
(In reply to comment #4)
> Do you have any examples of 2) that i can look at as a reference for writing
> the description?

It can be anything you want. For qa_ack, it is "Quality Assurance Acknowledgement"

Comment 6 Chris Ward 2011-09-22 13:19:58 UTC
qe_test_coverage = "Quality Assurance Bugzilla Test Coverage Review"

Seem reasonable?

Comment 7 Chris Ward 2011-09-22 13:21:25 UTC
Hi, i see in the test instance a field called 'New Test'; is that i new RFE you're working on? Could you tell me the bug #?

eg, under the qe-conditional-nak field
https://bug740258.bz-devel.eng.bne.redhat.com/show_bug.cgi?id=705048

Comment 8 Simon Green 2011-09-22 13:46:03 UTC
(In reply to comment #6)
> qe_test_coverage = "Quality Assurance Bugzilla Test Coverage Review"
> Seem reasonable?

Indeed it does. This flag has been added to the live servers ( https://bugzilla.redhat.com/ ), staging server ( https://partner-bugzilla.redhat.com/ ), and the Brisbane development server.

(In reply to comment #7)
> Hi, i see in the test instance a field called 'New Test'; is that i new RFE
> you're working on? Could you tell me the bug #?

No, it was just me testing something. I have removed this custom field.

  -- simon

Comment 9 Chris Ward 2011-09-22 14:00:05 UTC
Wow, fast! I like it! 

I see there is a additional input field attached to this flag. I don't think that's necessary... Is it required?

Comment 10 Simon Green 2011-09-22 14:10:20 UTC
(In reply to comment #9)
> I see there is a additional input field attached to this flag. I don't think
> that's necessary... Is it required?

No, and it is now gone.

Comment 11 Chris Ward 2011-09-22 14:15:09 UTC
Flag looks good! Will let you know if I come across anything else.

Comment 12 Suzanne Yeghiayan 2011-10-05 17:23:54 UTC
Chris and Simon, not really CLOSED just yet.

Simon, when anyone makes a flag change, please run it by program-management@redhat.com.

I just filed an RT #125247 to change the bugbot [approve] rule to exclude this flag.  Right now, when a bug is approved, it is also changing the qe_test_coverage flag from ? to +, which is not what you want.

Chris, there are a bunch of rhel-5.8.0 bugs that had their qe_test_coverage flag set from ? to +.


Note You need to log in before you can comment on or make changes to this bug.